#!/usr/bin/env python

from fileTransferPlugin import FileTransferPlugin
class GridftpFileTransferPlugin(FileTransferPlugin):

    COMMAND = 'globus-url-copy -c -cd -r -vb -tcp-bs 512K -p 1 -sync -sync-level 2'

    def __init__(self, src=None, dest=None, command=GridftpFileTransferPlugin.COMMAND):
        FileTransferPlugin.__init__(self, command, src, dest)

    def getSrcUrl(self, filePath, dataDirectory):
        if self.src is None:
            srcUrl = 'file://%s' % filePath
        else:
            srcUrl = '%s/%s' % filePath
        return srcUrl
    
    def getDestUrl(self, storageHost, storageDirectory):
        destUrl = 'sshftp://%s/%s/' % (storageHost, storageDirectory)
        return destUrl

#######################################################################
# Testing.
if __name__ == '__main__':
    ft = GridftpFileTransferPlugin('/tmp/xyz', '/tmp/xyz2')
    ft.start()
    print 'StdOut: ', ft.getStdOut()
    print 'StdErr: ', ft.getStdErr()
    print 'Exit Status: ', ft.getExitStatus()
